Skip to main content
PUT
/
agents
/
{agentId}
/
playbooks
/
{id}
/
graph
Error
A valid request URL is required to generate request examples
{
  "success": true,
  "data": {
    "flowId": "<string>",
    "nodes": [
      {
        "id": "<string>",
        "type": "<string>",
        "position": {
          "x": 123,
          "y": 123
        },
        "data": {}
      }
    ],
    "connections": [
      {
        "id": "<string>",
        "source": "<string>",
        "target": "<string>",
        "sourceHandle": "<string>",
        "targetHandle": "<string>"
      }
    ]
  },
  "message": "<string>",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Flowyte secret API key (Authorization: Bearer flowyte_sk_live_…). Scope-gated; is scoped to your organization — a key can never reach another tenant. The listed scopes in each operation's apiKey requirement are the scopes that key must hold. The tokenUrl is nominal: keys are minted in the dashboard.

Path Parameters

agentId
string
required
id
string
required

Body

application/json
flowId
string
required
nodes
object[]
required
connections
object[]
required

Response

Saved graph.

success
boolean
required
data
object
required
message
string
errors
object[]